Last modified: 2012-09-21 17:03:34 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 25231 - Mailman mailing list archiver truncates if a line begins with "From"
Mailman mailing list archiver truncates if a line begins with "From"
Status: REOPENED
Product: Wikimedia
Classification: Unclassified
Mailing lists (Other open bugs)
unspecified
All All
: Low normal (vote)
: ---
Assigned To: Nobody - You can work on this!
: upstream
: 27043 (view as bug list)
Depends on: 22708
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-21 07:36 UTC by MZMcBride
Modified: 2012-09-21 17:03 UTC (History)
12 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description MZMcBride 2010-09-21 07:36:09 UTC
http://lists.wikimedia.org/pipermail/wikitech-l/2010-September/049543.html is unexpectedly truncated. The full version of the message is available at http://thread.gmane.org/gmane.science.linguistics.wikipedia.technical/49879/focus=49886

Perhaps the wikitech-l archive needs to be rebuilt or something? The full message definitely went through to the mail server; it appears that the only place it's not showing up properly is in that particular pipermail archive link.
Comment 1 Lejonel 2010-10-10 08:54:09 UTC
I think this is related to 

https://bugs.launchpad.net/mailman/+bug/266068 ("From" at line start fools archiver, loses/splits message body)
Comment 2 MZMcBride 2010-11-17 23:28:29 UTC
Bah, and another one: http://lists.wikimedia.org/pipermail/toolserver-l/2010-November/003601.html
Comment 3 MZMcBride 2011-02-04 23:13:55 UTC
Another one: http://lists.wikimedia.org/pipermail/foundation-l/2011-February/063760.html

Updating the bug summary. I looked at the launchpad.net link (and from it the Debian bug tracker link), but I don't see the issue. Everyone seems to call this "upstream."
Comment 4 Mark A. Hershberger 2011-02-04 23:17:44 UTC
*** Bug 27043 has been marked as a duplicate of this bug. ***
Comment 5 MZMcBride 2011-02-04 23:22:28 UTC
http://mail.python.org/pipermail/mailman-users/2010-November/070550.html seems to indicate that a mailman upgrade (to at least 2.1.13) would fix this issue. Anyone know which version is currently deployed?
Comment 6 Bawolff (Brian Wolff) 2011-02-05 00:10:31 UTC
According to http://lists.wikimedia.org 2.1.9 is currently deployed.
Comment 7 Mark A. Hershberger 2011-02-05 00:16:02 UTC
Then, from looking at http://packages.ubuntu.com/search?keywords=mailman, I'm guessing lists runs Ubuntu Hardy.  If you want the mailman package upgraded, I'd recommend asking them for the next LTS release, Lucid: http://releases.ubuntu.com/lucid/
Comment 8 Krinkle 2011-02-09 15:35:01 UTC
Adding upstream tag + fixing as  INVALID since we can't help this, and it seems to have been already in the latest version.

I'd say ask someone (or file a bug) to update mailman and/or to "Lucid"
Comment 9 MZMcBride 2011-02-09 16:50:09 UTC
(In reply to comment #8)
> Adding upstream tag + fixing as  INVALID since we can't help this, and it seems
> to have been already in the latest version.
> 
> I'd say ask someone (or file a bug) to update mailman and/or to "Lucid"

What? Who's running the latest version?

Re-opening this, as the problem isn't solved (and it certainly isn't an "invalid" bug). The bug for updating mailman is listed as a dependency of this bug already (bug 22708).
Comment 10 Nemo 2011-02-20 22:24:16 UTC
Another possibly related (unescaped characters?) bug: bug 22973.
Comment 11 Nemo 2012-01-19 19:15:10 UTC
After mailman has been updated, I guess rebuilding the archives would fix the bug?
Comment 12 MZMcBride 2012-01-19 20:57:08 UTC
(In reply to comment #11)
> After mailman has been updated, I guess rebuilding the archives would fix the
> bug?

After mailman has been updated, this bug needs to be tested again to see if the behavior still exists. If the truncation has stopped, this bug can be resolved. If the truncation is still happening, this bug needs further investigation and would remain open/unresolved.

Rebuilding the archives (to fix this or other issues) would be a separate bug.
Comment 13 p858snake 2012-01-20 01:47:00 UTC
The examples seem to be working now (Guessing a rebuild happened during the move?)  but can't confirm against gname since it appears to be down.
Comment 14 MZMcBride 2012-01-20 02:40:34 UTC
(In reply to comment #13)
> The examples seem to be working now (Guessing a rebuild happened during the
> move?)  but can't confirm against gname since it appears to be down.

Which examples seem to be working?
Comment 15 MZMcBride 2012-09-21 04:21:32 UTC
It seems pipermail is now prefixing lines that begin with "From" with a ">", because it's still 1983: <http://lists.wikimedia.org/pipermail/wikitech-l/2012-September/063361.html>.
Comment 16 Krinkle 2012-09-21 16:01:31 UTC
un-be-lie-vable.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links